/*
	Saxess Software GmbH
    Last modified 09/2022 for OCT 5.8
*/

IF schema_id('agent') IS NULL
BEGIN
    EXEC sp_executesql N'CREATE SCHEMA agent AUTHORIZATION pf_PlanningFactoryService'

    -- Documentation
    EXEC sp_addextendedproperty
        @name = N'MS_Description',
        @value = N'Schema to be used by agent procedures, schema is owned by OCTService.',
        @level0type = N'Schema',
        @level0name = N'agent'
END

-- Documentation
EXEC sp_updateextendedproperty
    @name = N'MS_Description',
    @value = N'Schema to be used by agent procedures, schema is owned by OCTService.',
    @level0type = N'Schema',
    @level0name = N'agent'
GO
