/*
	Saxess Software GmbH
	Last modified 09/2022 for OCT 5.8
*/

IF schema_id('system') IS NULL
BEGIN
    EXEC sp_executesql N'CREATE SCHEMA system AUTHORIZATION dbo';
    -- Documentation
    EXEC sp_addextendedproperty
        @name = N'MS_Description',
        @value = N'Schema to store system data and Metadata. Schema owned by dbo, NO table access for OCTService or other user.',
        @level0type = N'Schema',
        @level0name = N'system'
END

-- Documentation
EXEC sp_updateextendedproperty
    @name = N'MS_Description',
    @value = N'Schema to store system data and Metadata. Schema owned by dbo, NO table access for OCTService or other user.',
    @level0type = N'Schema',
    @level0name = N'system'
GO
