/*
    Saxess Software GmbH
	Last modified 09/2022 for OCT 5.8
*/

IF schema_id('global') IS NULL
BEGIN
    EXEC sp_executesql N'CREATE SCHEMA global AUTHORIZATION pf_PlanningFactoryService'

    -- Documentation
    EXEC sp_addextendedproperty
        @name = N'MS_Description',
        @value = N'Schema to store global informations, schema is owned by OCTService.',
        @level0type = N'Schema',
        @level0name = N'global'
END

-- Documentation
EXEC sp_updateextendedproperty
    @name = N'MS_Description',
    @value = N'Schema to store global informations, schema is owned by OCTService.',
    @level0type = N'Schema',
    @level0name = N'global'
GO
