/*
	Saxess Software GmbH
	Last modified 09/2022 for OCT 5.8
*/

IF schema_id('import') IS NULL
BEGIN
    EXEC sp_executesql N'CREATE SCHEMA import AUTHORIZATION pf_PlanningFactoryService'

    -- Documentation
    EXEC sp_addextendedproperty
        @name = N'MS_Description',
        @value = N'Schema to store planning import objects, to transport values from load tables to planning tables. Schema is owned by OCTService.',
        @level0type = N'Schema',
        @level0name = N'import'
END

-- Documentation
EXEC sp_updateextendedproperty
    @name = N'MS_Description',
    @value = N'Schema to store planning import objects, to transport values from load tables to planning tables. Schema is owned by OCTService.',
    @level0type = N'Schema',
    @level0name = N'import'
GO
