/*
	Saxess Software GmbH
	Last modified 09/2022 for OCT 5.8
*/

IF schema_id('param') IS NULL
BEGIN
    EXEC sp_executesql N'CREATE SCHEMA param AUTHORIZATION pf_PlanningFactoryService'

    -- Documentation
    EXEC sp_addextendedproperty
        @name = N'MS_Description',
        @value = N'Schema to store parameter tables, created by product materialization. Schema is owned by OCTService.',
        @level0type = N'Schema',
        @level0name = N'param'
END

-- Documentation
EXEC sp_updateextendedproperty
    @name = N'MS_Description',
    @value = N'Schema to store parameter tables, created by product materialization. Schema is owned by OCTService.',
    @level0type = N'Schema',
    @level0name = N'param'
GO
